summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMounir Lamouri <volkmar@gentoo.org>2009-03-13 20:50:35 +0000
committerMounir Lamouri <volkmar@gentoo.org>2009-03-13 20:50:35 +0000
commitec7d0870be95a961769c555e17ce46db18889552 (patch)
tree77bcd56d9e4c1a70b003d9b022fb1dc58fde456c /net-libs
parentnet-libs/ptlib: renaming use flag resolver to dns (diff)
downloadvoip-ec7d0870be95a961769c555e17ce46db18889552.tar.gz
voip-ec7d0870be95a961769c555e17ce46db18889552.tar.bz2
voip-ec7d0870be95a961769c555e17ce46db18889552.zip
net-libs/opal: version bump 2.3.0.1 to 3.4.5
svn path=/trunk/; revision=808
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/opal/ChangeLog10
-rw-r--r--net-libs/opal/Manifest12
-rw-r--r--net-libs/opal/files/opal-2.1.1-notrace.diff11
-rw-r--r--net-libs/opal/files/opal-3.4.5-stats.patch12
-rw-r--r--net-libs/opal/files/opal-lpcini.patch11
-rw-r--r--net-libs/opal/metadata.xml28
-rw-r--r--net-libs/opal/opal-2.3.0.1.ebuild108
-rw-r--r--net-libs/opal/opal-3.4.5.ebuild255
8 files changed, 320 insertions, 127 deletions
diff --git a/net-libs/opal/ChangeLog b/net-libs/opal/ChangeLog
index 02546c6..a52b0f3 100644
--- a/net-libs/opal/ChangeLog
+++ b/net-libs/opal/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for net-libs/opal
-# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-libs/opal/ChangeLog,v 1.2 2006/06/06 18:09:22 genstef Exp $
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*opal-3.4.5 (13 Mar 2009)
+
+ 13 Mar 2009; Mounir Lamouri (volkmar) <mounir.lamouri@gmail.com>
+ -opal-2.3.0.1, +opal-3.4.5:
+ version bump 2.3.0.1 to 3.4.5
*opal-2.2.2 (06 Jun 2006)
diff --git a/net-libs/opal/Manifest b/net-libs/opal/Manifest
index dab526e..4fb86bd 100644
--- a/net-libs/opal/Manifest
+++ b/net-libs/opal/Manifest
@@ -1,5 +1,7 @@
-AUX opal-2.1.1-notrace.diff 263 RMD160 17b6887acd196af52de8dfec8d5accfd654d1fc7 SHA1 079474507fe63a9019a293a5a529c23788221196 SHA256 3abf99ab2a7bde2e1a2380e22a9c5e15240439bdf7766b4715c78cacd46961c0
-DIST opal-v2_3_0_1-src-tar.gz 4185065 RMD160 5b4177950bc786ca72b389f056f62a6025cbfc1b SHA1 3d2a4a85d014d9088d5626fbe690e5deeba021e9 SHA256 3dd83e49f656a6a6d6d9ef703da5abcdcb1cb295548f48516aa92161fedc8e67
-EBUILD opal-2.3.0.1.ebuild 2772 RMD160 cb20121b90b31bff9f3582da1f7b0f1a778bede6 SHA1 3a28cd2d62175a97180e9807b014032613cd284f SHA256 2f94cc49e304ada402e4df7f92912c3f24c0bd77d0d126b4c61a54b54363b103
-MISC ChangeLog 556 RMD160 5f2e8961eceacca72d19369c9cc9175f7157e533 SHA1 ced0e378eeb24c275dfc79a6592b860c7f2fd05f SHA256 052c929f93fc0b8462987ba1bda58643e0a5def216fc8f80b4cebb2654b4298b
-MISC metadata.xml 157 RMD160 cb900ea8bf389b8f6147746711462b5757752b16 SHA1 bbbbd897cfe8d8bac785b23bead8e185871055bd SHA256 6759dc127ff53f85505b9b455ba325e65015b694b1ec50eb99ddfc8903b967bf
+AUX opal-3.4.5-stats.patch 289 RMD160 00228bd3f714f9c2c2a95d76f0c113375d16afb9 SHA1 c8a872b7316830bab774b8f4ec91daf647e0e6e3 SHA256 467d4754391e935e13af3d994f280913446df11d8a3b5b16efae16c404401839
+AUX opal-lpcini.patch 301 RMD160 1952b7b4b40283615cad283c0407d777b62bd215 SHA1 2dd1bdb7e890e9416f03faf4f327c44267a6b498 SHA256 8a6b3ca1bd2fbe7e14883499b3fb59952f615dc5a954d544f8fdba8186aa41a4
+DIST opal-3.4.5-htmldoc.tar.bz2 5777524 RMD160 241538a00a044add293cd627474c90bb82c08c35 SHA1 ba3a2f465d703f4d1bd030e42da02be3fc913298 SHA256 4fb61f7ba9fb3bb6dd1103a1d4e43242be17b2635354934c5d4630fa8cf44bb1
+DIST opal-3.4.5.tar.bz2 8000318 RMD160 71125ff5237d3efd9c534ce23fcd814614b1fbfb SHA1 2604489702f19860f18b24244a9bd16504471e64 SHA256 efeeaad5a6d6eff7952a9f4f896fae31b0bb852e07a863f6f16f08422602503d
+EBUILD opal-3.4.5.ebuild 7809 RMD160 644159b099701cd4c4e34a14168dc706fa3e9e3d SHA1 33613f6b1907fa3ca6812eda66d453c1abcfd9cf SHA256 fb670b15016f4149f7efc4da396405077051365606e9f3148e50f83f2521c966
+MISC ChangeLog 627 RMD160 bc83fec79b760098f10564713d03accbc8e74029 SHA1 4447d67ddc5c2a578803b29bee36979d91afb13d SHA256 35aeae36af150bfbb497256ed0ecb3e89ec559b453e6b0407acda6abc24015a1
+MISC metadata.xml 1475 RMD160 4474351e31e4d996cda7a6560fb4e43ac988566b SHA1 c908b5464121355cacc38636457d028ac2ec3d80 SHA256 46fe9fc49d88f2b7d65a87062c76016c4d3ca2ca74a580988447a3f3268d4b00
diff --git a/net-libs/opal/files/opal-2.1.1-notrace.diff b/net-libs/opal/files/opal-2.1.1-notrace.diff
deleted file mode 100644
index e03eaa4..0000000
--- a/net-libs/opal/files/opal-2.1.1-notrace.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- opal_v2_1_1/Makefile.in.orig 2005-09-04 03:40:12.000000000 +0000
-+++ opal_v2_1_1/Makefile.in 2005-09-04 03:40:49.000000000 +0000
-@@ -176,7 +176,7 @@
-
- OPAL_OBJDIR = $(OPAL_LIBDIR)/$(PT_OBJBASE)
- ifdef NOTRACE
--OPAL_OBJDIR += n
-+OBJDIR_SUFFIX := n
- endif
-
-
diff --git a/net-libs/opal/files/opal-3.4.5-stats.patch b/net-libs/opal/files/opal-3.4.5-stats.patch
new file mode 100644
index 0000000..4b13b76
--- /dev/null
+++ b/net-libs/opal/files/opal-3.4.5-stats.patch
@@ -0,0 +1,12 @@
+--- src/opal/rtpconn.cxx.old 2009-03-12 18:45:43.000000000 -0400
++++ src/opal/rtpconn.cxx 2009-03-12 18:45:49.000000000 -0400
+@@ -250,8 +250,8 @@
+ session->SendIntraFrameRequest();
+ #if OPAL_STATISTICS
+ m_VideoUpdateRequestsSent++;
+- }
+ #endif
++ }
+ }
+ }
+ }
diff --git a/net-libs/opal/files/opal-lpcini.patch b/net-libs/opal/files/opal-lpcini.patch
new file mode 100644
index 0000000..a59ef79
--- /dev/null
+++ b/net-libs/opal/files/opal-lpcini.patch
@@ -0,0 +1,11 @@
+--- plugins/audio/LPC_10/src/lpcini.c.orig 2008-09-24 23:01:05.000000000 -0400
++++ plugins/audio/LPC_10/src/lpcini.c 2008-09-25 00:39:34.000000000 -0400
+@@ -50,6 +50,8 @@
+ #ifdef _MSC_VER
+ #include <malloc.h>
+ #endif
++#else
++ extern void * malloc();
+ #endif
+
+ /* Common Block Declarations */
diff --git a/net-libs/opal/metadata.xml b/net-libs/opal/metadata.xml
index 02207a5..c62914b 100644
--- a/net-libs/opal/metadata.xml
+++ b/net-libs/opal/metadata.xml
@@ -1,5 +1,31 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<herd>voip</herd>
+ <herd>voip</herd>
+ <use>
+ <flag name="audio">Enable audio support</flag>
+ <flag name="capi">Enable CAPI support</flag>
+ <flag name="dns">Enable DNS resolver support</flag>
+ <flag name="dtmf">Enable DTMF encoding/decoding support</flag>
+ <flag name="fax">Enable T.38 FAX protocol</flag>
+ <flag name="g711plc">Enable G711 Packet Loss Concealment</flag>
+ <flag name="h224">Enable H.224 Far-End Camera Control protocol</flag>
+ <flag name="h323">Enable H.323 protocol</flag>
+ <flag name="iax">Enable Inter-Asterisk eXchange protocol</flag>
+ <flag name="ivr">Enable Interactive Voice Response</flag>
+ <flag name="ixj">Enable xJack cards support</flag>
+ <flag name="lid">Enable Line Interface Device</flag>
+ <flag name="plugins">Enable plugins support</flag>
+ <flag name="rfc4175">Enable RTP Payload Format for Uncompressed Video
+ </flag>
+ <flag name="sip">Enable Session Initiation Protocol</flag>
+ <flag name="srtp">Enable Secure Real-time Transport Protocol</flag>
+ <flag name="stats">Enable statistic reporting</flag>
+ <flag name="video">Enable video support</flag>
+ <flag name="vpb">Enable Voicetronics VPB card support</flag>
+ <flag name="vxml">Enable VXML support</flag>
+ <flag name="wav">Enable WAVFILE support</flag>
+ <flag name="x264-static">Install x264 plugin statically linked with x264
+ </flag>
+ </use>
</pkgmetadata>
diff --git a/net-libs/opal/opal-2.3.0.1.ebuild b/net-libs/opal/opal-2.3.0.1.ebuild
deleted file mode 100644
index 947a38e..0000000
--- a/net-libs/opal/opal-2.3.0.1.ebuild
+++ /dev/null
@@ -1,108 +0,0 @@
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-libs/opal/opal-2.2.2.ebuild,v 1.1 2006/06/06 18:09:22 genstef Exp $
-
-inherit eutils flag-o-matic multilib
-
-MY_P="${PN}-v${PV//./_}"
-DESCRIPTION="OPAL library, used by Ekiga"
-HOMEPAGE="http://www.ekiga.org"
-SRC_URI="mirror://sourceforge/openh323/${MY_P}-src-tar.gz"
-#SRC_URI="http://www.ekiga.org/admin/downloads/latest/sources/sources/${P}.tar.gz"
-
-IUSE="novideo noaudio debug"
-SLOT="0"
-LICENSE="MPL-1.1"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86"
-
-RDEPEND=">=dev-libs/pwlib-1.11.0
- >=media-video/ffmpeg-0.4.7"
-S=${WORKDIR}/${MY_P/-/_}
-
-src_unpack() {
- # currently complaining to upstream about new naming scheme
- tar -C ${WORKDIR} -xzf ${DISTDIR}/${MY_P}-src-tar.gz || die "Unpacking of ${PF} failed"
-
- cd ${S}
- # Makefile is currently broken with NOTRACE=1, fix that
- epatch ${FILESDIR}/${PN}-2.1.1-notrace.diff
-}
-
-src_compile() {
- local makeopts
- local myconf
-
- # remove -fstack-protector, may cause problems (bug #75259)
- filter-flags -fstack-protector
-
- # NOTRACE avoid compilation problems, we disable PTRACING using NOTRACE=1
- # compile with PTRACING if the user wants to debug stuff
- if ! use debug; then
- makeopts="${makeopts} NOTRACE=1"
- fi
-
- # doesn't work with osptoolkit-3.3.1
- # iax2 support is missing in the tarball, disable it too
- myconf="--disable-transnexusosp --disable-iax --enable-localspeex"
-
- use novideo \
- && myconf="${myconf} --disable-video"
-
- use noaudio \
- && myconf="${myconf} --disable-audio"
-
- econf \
- PWLIBDIR=/usr/share/pwlib \
- OPALDIR=${S} \
- ${myconf} || die "configure failed"
-
- emake ${makeopts} opt || die "make failed"
-}
-
-src_install() {
- local OPAL_ARCH ALT_ARCH OPAL_SUFFIX
- local makeopts libdir libname
-
- # make NOTRACE=1 opt ==> linux_$ARCH_n
- # make opt ==> linux_$ARCH_r
- if ! use debug; then
- OPAL_SUFFIX="n"
- makeopts="NOTRACE=1"
- else
- OPAL_SUFFIX="r"
- fi
-
- # use ptlib-config to get the right values here (for hppa, amd64 ...)
- OPAL_ARCH="$(ptlib-config --ostype)_$(ptlib-config --machtype)_${OPAL_SUFFIX}"
-
- # set ALT_ARCH
- if use debug; then
- ALT_ARCH=${OPAL_ARCH/_r/_n}
- else
- ALT_ARCH=${OPAL_ARCH/_n/_r}
- fi
-
- ###
- # Install stuff
- #
- make PREFIX=/usr DESTDIR=${D} \
- ${makeopts} install || die "install failed"
-
- libdir=$(get_libdir)
- libname="libopal_${OPAL_ARCH}.so.${PV}"
-
- # compat symlinks
- for pv in ${PV} ${PV%.[0-9]} ${PV%.[0-9]*.[0-9]}; do
- dosym ${libname} /usr/${libdir}/libopal_${ALT_ARCH}.so.${pv}
- done
- dosym ${libname} /usr/${libdir}/libopal_${OPAL_ARCH}.so
- dosym ${libname} /usr/${libdir}/libopal_${ALT_ARCH}.so
-
- ###
- # Compatibility "hacks"
- #
-
- # install version.h into $OPALDIR
- insinto /usr/share/opal
- doins version.h
-}
diff --git a/net-libs/opal/opal-3.4.5.ebuild b/net-libs/opal/opal-3.4.5.ebuild
new file mode 100644
index 0000000..3995bd0
--- /dev/null
+++ b/net-libs/opal/opal-3.4.5.ebuild
@@ -0,0 +1,255 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit autotools eutils flag-o-matic
+
+DESCRIPTION="C++ class library normalising numerous telephony protocols"
+HOMEPAGE="http://www.opalvoip.org/"
+SRC_URI="mirror://sourceforge/opalvoip/${P}.tar.bz2
+ doc? ( mirror://sourceforge/opalvoip/${P}-htmldoc.tar.bz2 )"
+
+LICENSE="MPL-1.0"
+SLOT="0"
+KEYWORDS="~ppc"
+IUSE="+audio capi debug dns doc dtmf examples fax ffmpeg g711plc h224 h323 iax
+ipv6 ivr ixj java ldap lid +plugins rfc4175 sip srtp ssl stats theora +video
+vpb vxml wav x264 x264-static xml"
+
+RDEPEND=">=net-libs/ptlib-2.0.0[debug=,audio?,dns?,dtmf?,ipv6?,ldap?,ssl?,video?,vxml?,wav?,xml?]
+ >=media-libs/speex-1.2_beta
+ fax? ( net-libs/ptlib[asn] )
+ ivr? ( net-libs/ptlib[xml,vxml] )
+ java? ( virtual/jdk )
+ plugins? ( media-sound/gsm
+ capi? ( net-dialup/capi4k-utils )
+ fax? ( media-libs/spandsp )
+ ffmpeg? ( >=media-video/ffmpeg-0.4.7[encode] )
+ ixj? ( sys-kernel/linux-headers )
+ theora? ( media-libs/libtheora )
+ x264? ( >=media-video/ffmpeg-0.4.7
+ media-libs/x264 ) )
+ srtp? ( net-libs/libsrtp )"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig
+ >=sys-devel/gcc-3"
+
+# NOTES:
+# need speexdsp, that means >=speex-1.2
+# ffmpeg[encode] is for h263, h263p and mpeg4
+# fax enable fax, t38 and spandsp support
+# h323 auto-enables h450, h460 and h501 wich provide supplementary services
+# ssl, xml, vxml, ipv6, dtmf, ldap, audio, wav, dns and video are use flags
+# herited from ptlib: feature is enabled if ptlib has enabled it
+# however, disabling it if ptlib has it looks hard (coz of buildopts.h)
+# forcing ptlib to disable it for opal is not a solution too
+# atm, accepting the "auto-feature" looks like a good solution
+# asn is used for fax and config for examples
+# OPALDIR should not be used anymore, if a package still need it, create it
+
+pkg_setup() {
+ local warning=false
+
+ # opal can't be built with --as-needed
+ # users where experiencing issues with --as-needed, see bug 238610
+ # TODO: should be re-tested and, if possible, fixed in a cleanier way
+ append-ldflags -Wl,--no-as-needed
+
+ # warn user about use flag that are gonna override other ones
+
+ if ! use plugins; then
+ ewarn "disabling plugins will automatialy disable a lot of ${PN} features"
+ ewarn "like gsm, capi, spandsp, ffmpeg, ixj, theora and x264"
+ ewarn "it is _not_ recommended"
+ warning=true
+ fi
+
+ if use h224 && ! use h323; then
+ ewarn "h224 support needs h323 support: h224 support has been disabled"
+ ewarn "enable h323 support if you want to use the h224 support"
+ warning=true
+ fi
+
+ if use rfc4175 && ! use video; then
+ ewarn "rfc4175 support needs video support: rfc4175 support has been disabled"
+ ewarn "enable video support if you want to use the rfc4175 support"
+ warning=true
+ fi
+
+ if use x264-static && ! use x264; then
+ ewarn "x264-static has been enabled but x264 support has been disabled"
+ fi
+
+ if ${warning}; then
+ echo
+ ewarn "If one of the warnings above is not volunteer, hit Ctrl+C now"
+ ewarn "and re-emerge ${PN} with the desired USE flags"
+ echo
+ ebeep
+ epause
+ fi
+}
+
+src_prepare() {
+ # move files from ${P}-htmldoc.tar.gz
+ if use doc; then
+ mv ../html . || die "moving doc files failed"
+ fi
+
+ # remove visual studio related files from samples/
+ if use examples; then
+ rm -f samples/*/*.vcproj
+ rm -f samples/*/*.sln
+ rm -f samples/*/*.dsp
+ rm -f samples/*/*.dsw
+ fi
+
+ # h501 is in configure.ac but not in configure, updating the script
+ # upstream has been contacted, bug 2686483 in their bugtracker
+ eautoreconf
+
+ # disable srtp if srtp is not enabled (prevent auto magic dep)
+ # upstream has been contacted, bug 2686485 in their bugtracker
+ if ! use srtp; then
+ sed -i -e "s/OPAL_SRTP=yes/OPAL_SRTP=no/" configure \
+ || die "patching configure failed"
+ fi
+
+ # disable theora if theora is not enabled (prevent auto magic dep)
+ # upstream has been contacted, bug 2686488 in their bugtracker
+ if ! use theora; then
+ sed -i -e "s/HAVE_THEORA=yes/HAVE_THEORA=no/" plugins/configure \
+ || die "patching plugins/configure failed"
+ fi
+
+ # disable mpeg4 and h263p if ffmpeg is not enabled (prevent auto magic dep)
+ # upstream has been contacted, bug 2686495 in their bugtracker
+ if ! use ffmpeg; then
+ sed -i -e "s/HAVE_MPEG4=yes/HAVE_MPEG4=no/" plugins/configure \
+ || die "patching plugins/configure failed"
+ sed -i -e "s/HAVE_H263P=yes/HAVE_H263P=no/" plugins/configure \
+ || die "patching plugins/configure failed"
+ fi
+
+ # fix gsm wav49 support check
+ # upstream has been contacted, bug 2686500 in their bugtracker
+ if use plugins; then
+ sed -i -e "s:gsm\.h:gsm/gsm.h:" plugins/configure \
+ || die "patching plugins/configure failed"
+ fi
+
+ # fix a warning, have been fixed by upstream in vcs
+ # TODO: check if integrated in next release
+ epatch "${FILESDIR}"/${PN}-lpcini.patch
+
+ # there is a stupid bug that shown when disabling statistics
+ # upstream has been contacted, bug 2686504 in their bugtracker
+ if ! use stats; then
+ # a sed script is not so cool because of new lines
+ epatch "${FILESDIR}"/${P}-stats.patch
+ fi
+}
+
+src_configure() {
+ local myconf=""
+
+ if use ffmpeg; then
+ # with-libavcodec-source-dir: no default value
+ myconf="--with-libavcodec-source-dir=/usr/include"
+ fi
+
+ # versioncheck: check for ptlib version
+ # shared: should always be enabled for a lib
+ # zrtp doesn't depend on net-libs/libzrtpcpp but on libzrtp from
+ # http://zfoneproject.com/ wich is not in portage
+ # localspeex, localspeexdsp, localgsm: never use bundled libs
+ # samples: only build some samples, useless
+ # libavcodec-stackalign-hack: prevent hack (default disable by upstream)
+ # default-to-full-capabilties: default enable by upstream
+ # aec: atm, only used when bundled speex, so it's painless for us
+ econf ${myconf} \
+ --enable-versioncheck \
+ --enable-shared \
+ --disable-zrtp \
+ --disable-localspeex \
+ --disable-localspeexdsp \
+ --disable-localgsm \
+ --disable-samples \
+ --disable-libavcodec-stackalign-hack \
+ --enable-default-to-full-capabilties \
+ --enable-aec \
+ $(use_enable debug) \
+ $(use_enable capi) \
+ $(use_enable fax) \
+ $(use_enable fax spandsp) \
+ $(use_enable fax t38) \
+ $(use_enable ffmpeg ffmpeg-h263) \
+ $(use_enable g711plc) \
+ $(use_enable h224) \
+ $(use_enable h323) \
+ $(use_enable h323 h450) \
+ $(use_enable h323 h460) \
+ $(use_enable h323 h501) \
+ $(use_enable iax) \
+ $(use_enable ivr) \
+ $(use_enable ixj) \
+ $(use_enable java) \
+ $(use_enable lid) \
+ $(use_enable plugins) \
+ $(use_enable rfc4175) \
+ $(use_enable sip) \
+ $(use_enable stats statistics) \
+ $(use_enable video) \
+ $(use_enable vpb) \
+ $(use_enable x264 h264) \
+ $(use_enable x264-static x264-link-static)
+}
+
+src_compile() {
+ local makeopts=""
+
+ use debug && makeopts="debug"
+
+ emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+ einstall || die "einstall failed"
+
+ if use doc; then
+ dohtml -r html/* docs/* || die "dohtml failed"
+ fi
+
+ dodoc ChangeLog-${PN}-v${PV//./_}.txt || die "dodoc failed"
+
+ if use examples; then
+ local exampledir="/usr/share/doc/${PF}/examples"
+ local basedir="samples"
+ local sampledirs="`ls ${basedir} --hide=configure* \
+ --hide=opal_samples* --hide=config.*`"
+
+ # first, install files
+ insinto ${exampledir}/
+ doins ${basedir}/{configure*,opal_samples*,config.*} \
+ || die "doins failed"
+
+ # now, all examples
+ for x in ${sampledirs}; do
+ insinto ${exampledir}/${x}/
+ doins ${basedir}/${x}/* || die "doins failed"
+ done
+
+ # some examples need version.h
+ insinto "/usr/share/doc/${PF}/"
+ doins version.h || die "doins failed"
+ fi
+}
+
+pkg_postinst() {
+ if use examples; then
+ ewarn "all examples have been installed, some of them will not work on your system"
+ ewarn "it will depend of the enabled use flags in ptlib and opal"
+ fi
+}